Bug 147660 - ReiserFS support missing
ReiserFS support missing
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-09 22:27 EST by Jeff Mitchell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 12:05:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Mitchell 2005-02-09 22:27:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I need to make some kickstart files with partitions that are formatted
with ReiserFS.  Currently I can install a FC3 system with ReiserFS by
passing in reiserfs at the install boot, i.e. "linux reiserfs" and I
then can choose ReiserFS as a filesystem when partitioning.

However, system-config-kickstart does not allow me to choose reiserfs.
 This may or may not be a bug, so the first thing may be to tell me if
it's possible to use reiserfs with kickstart (say by using a line such
as "linux reiserfs ks=...").  I don't really see why it wouldn't
be...if the module is loaded it should be possible to use it, and my
anaconda-ks.cfg from when I installed onto this computer has a line
that seems to do the trick.

If it is possible, as I think it is, then there should be some method
of enabling it in system-config-kickstart, maybe with a warning that
you need to load the module during the boot process.

Probably xfs and the other ones should get the same treatment...

Version-Release number of selected component (if applicable):
2.5.19-1.fc3

How reproducible:
Always

Steps to Reproduce:
1. Open system-config-kickstart
2. Go to the partioning section
3. Be sad
    

Actual Results:  No way to choose ReiserFS

Expected Results:  A way to choose ReiserFS

Additional info:
Comment 1 Chris Lumens 2005-03-10 12:05:12 EST
Yes, you should be able to use reiserfs with kickstart by passing both
parameters to anaconda.  As for adding it to s-c-kickstart, we don't really want
to have to support all those filesystems which is why it's more difficult to use
them from within anaconda.  Increasing the visibility of them in s-c-kickstart
is probably going to result in larger number of bugs getting filed against
support for those filesystems.

You can use s-c-kickstart to generate the base ks.cfg file and then edit it for
the proper filesystem using --fstype "reiserfs".  As for s-c-kickstart itself,
it currently lacks support for a lot of the things that anaconda is capable of
which is a side effect of not having a unified code base for a lot of this stuff.

Note You need to log in before you can comment on or make changes to this bug.